---
lang: en
title: 'API docs: authentication.authenticationmetadata'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.authentication.authenticationmetadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication](./authentication.md) &gt; [AuthenticationMetadata](./authentication.authenticationmetadata.md)

## AuthenticationMetadata interface

Authentication metadata stored via Reflection API

<b>Signature:</b>

```typescript
export interface AuthenticationMetadata 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [options](./authentication.authenticationmetadata.options.md) | <code>object</code> |  |
|  [strategy](./authentication.authenticationmetadata.strategy.md) | <code>string</code> |  |


